# Form implementation generated from reading ui file 'src/eric7/VirtualEnv/VirtualenvInterpreterSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_VirtualenvInterpreterSelectionDialog(object):
    def setupUi(self, VirtualenvInterpreterSelectionDialog):
        VirtualenvInterpreterSelectionDialog.setObjectName("VirtualenvInterpreterSelectionDialog")
        VirtualenvInterpreterSelectionDialog.resize(550, 118)
        VirtualenvInterpreterSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(VirtualenvInterpreterSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_2 = QtWidgets.QLabel(parent=VirtualenvInterpreterSelectionDialog)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.nameEdit = QtWidgets.QLineEdit(parent=VirtualenvInterpreterSelectionDialog)
        self.nameEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.nameEdit.setReadOnly(True)
        self.nameEdit.setObjectName("nameEdit")
        self.horizontalLayout.addWidget(self.nameEdit)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.label = QtWidgets.QLabel(parent=VirtualenvInterpreterSelectionDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.pythonExecPicker = EricComboPathPicker(parent=VirtualenvInterpreterSelectionDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pythonExecPicker.sizePolicy().hasHeightForWidth())
        self.pythonExecPicker.setSizePolicy(sizePolicy)
        self.pythonExecPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.WheelFocus)
        self.pythonExecPicker.setObjectName("pythonExecPicker")
        self.verticalLayout.addWidget(self.pythonExecPicker)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=VirtualenvInterpreterSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(VirtualenvInterpreterSelectionDialog)
        self.buttonBox.accepted.connect(VirtualenvInterpreterSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(VirtualenvInterpreterSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(VirtualenvInterpreterSelectionDialog)

    def retranslateUi(self, VirtualenvInterpreterSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        VirtualenvInterpreterSelectionDialog.setWindowTitle(_translate("VirtualenvInterpreterSelectionDialog", "Add Virtual Environment"))
        self.label_2.setText(_translate("VirtualenvInterpreterSelectionDialog", "Name:"))
        self.label.setText(_translate("VirtualenvInterpreterSelectionDialog", "Enter interpreter for virtual environment:"))
        self.pythonExecPicker.setToolTip(_translate("VirtualenvInterpreterSelectionDialog", "Enter the Python interpreter of the virtual environment"))
from eric7.EricWidgets.EricPathPicker import EricComboPathPicker
